Subject: Business Air News Bulletin - April 11, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 12 Apr 2023 05:03:11 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Atlantic celebrates Hawaiian additions

They may now go under the umbrella of Atlantic Aviation, but six Hawaii FBOs will still be handing out the lei garlands when passengers come to the islands.

Sheltair opens at Gwinnett County with Avfuel support

The FBO team is being helped initially by Sheltair's Go Team, bringing together position experts from across the network to assist in operating the base while the core team is onboarded and trained.

Dubai's Titan is bought by Airdriven India

Amalgamating the two companies will diversify their product offerings and expand capabilities. They will operate as Airdriven Titan Global and retain current staff.

Baldwin adds stakeholder safety and quality tool

External stakeholder safety reporting is a key component of the interface management concept that ICAO has encouraged organisations to adopt for some time and relates to the recent FAA Part 5 NPRM. 

Agency upgrades two GJC securitisation ratings

These Kroll rating upgrades are a testament to the stellar performance of its well diversified portfolio says Global Jet Capital, and to the continued strength of the business aviation industry.

Jet sectors down against 2022, but up on 2019

There may be still some growth in large-cabin, long-sector flying, but generally the first quarter of 2023 has seen a modest cooling compared to the record-breaking levels of 1Q22.

To unsubscribe, please contact [email-masked].